com.thinkaurelius.titan.core.schema

## Interface RelationTypeIndex

- All Superinterfaces:
    Namifiable, TitanIndex, TitanSchemaElement
  All Known Implementing Classes:
    RelationTypeIndexWrapper

      public interface RelationTypeIndex
      extends TitanIndex

  A RelationTypeIndex is an index installed on a `RelationType` to speed up vertex-centric indexes for that type. A RelationTypeIndex is created via `TitanManagement.buildEdgeIndex(com.thinkaurelius.titan.core.EdgeLabel, String, com.tinkerpop.blueprints.Direction, com.thinkaurelius.titan.core.Order, com.thinkaurelius.titan.core.RelationType...)` for edge labels and `TitanManagement.buildPropertyIndex(com.thinkaurelius.titan.core.PropertyKey, String, com.thinkaurelius.titan.core.Order, com.thinkaurelius.titan.core.RelationType...)` for property keys.

  This interface allows the inspection of already defined RelationTypeIndex'es. An existing index on a RelationType can be retrieved via `TitanManagement.getRelationIndex(com.thinkaurelius.titan.core.RelationType, String)`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tinkerpop.blueprints.Direction` | `getDirection()` Returns the direction on which this index is installed.
    `SchemaStatus` | `getIndexStatus()` Returns the status of this index
    `RelationType[]` | `getSortKey()` Returns the (composite) sort key for this index.
    `Order` | `getSortOrder()` Returns the sort order of this index.
    `RelationType` | `getType()` Returns the `RelationType` on which this index is installed.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

- - ### Method Detail

    - #### getType

          RelationType getType()

      Returns the `RelationType` on which this index is installed.
      Returns:

    - #### getSortOrder

          Order getSortOrder()

      Returns the sort order of this index. Index entries are sorted in this order and queries which use this sort order will be faster.
      Returns:

    - #### getSortKey

          RelationType[] getSortKey()

      Returns the (composite) sort key for this index. The composite sort key is an ordered list of `RelationType`s
      Returns:

    - #### getDirection

          com.tinkerpop.blueprints.Direction getDirection()

      Returns the direction on which this index is installed. An index may cover only one or both directions.
      Returns:

    - #### getIndexStatus

          SchemaStatus getIndexStatus()

      Returns the status of this index
      Returns:

Copyright © 2012–2014. All rights reserved.